Fable.Elmish.React 4.0.0

dotnet add package Fable.Elmish.React --version 4.0.0
NuGet\Install-Package Fable.Elmish.React -Version 4.0.0
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Fable.Elmish.React" Version="4.0.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Fable.Elmish.React --version 4.0.0
#r "nuget: Fable.Elmish.React, 4.0.0"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Fable.Elmish.React as a Cake Addin
#addin nuget:?package=Fable.Elmish.React&version=4.0.0

// Install Fable.Elmish.React as a Cake Tool
#tool nuget:?package=Fable.Elmish.React&version=4.0.0

Elmish-React: React extensions for elmish applications.

Windows Build NuGet version

React and ReactNative support for Elmish apps.

For more information see the docs.

Installation

The easiest way to start with Elmish and React is to use the template:

dotnet new -i "Fable.Template.Elmish.React::*"
dotnet new fable-elmish-react -n MyProject

Alternatively, you can just add it to an existing project via paket:

paket add nuget Fable.Elmish.React

As with any JS dependency, if you are authoring an application (as opposed to a library), you'll also need to install React (separately, via npm or yarn):

yarn add react react-dom
Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (12)

Showing the top 5 NuGet packages that depend on Fable.Elmish.React:

Package Downloads
Fable.Elmish.HMR

Hot Module Replacement for Elmish apps

Feliz.SweetAlert

Fable bindings written in the Feliz-style for sweetalert2

Fss-lib

A way to write your styling in FSS. Built atop Emotion-js to provide a typed CSS solution for F#

Fable.Dap.React

Dap App on Fable React

Fable.Ant.Design

Helpers around ant design for Elmish apps

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
4.0.0 33,529 12/22/2022
4.0.0-beta-4 6,664 9/27/2022
4.0.0-beta-3 261 9/19/2022
4.0.0-beta-2 1,128 4/1/2022
4.0.0-beta-1 568 11/27/2021
4.0.0-alpha-1 1,933 11/1/2019
3.0.1 297,082 4/20/2019
3.0.0-beta-5 817 4/15/2019
3.0.0-beta-4 947 3/22/2019
3.0.0-beta-3 424 3/19/2019
3.0.0-beta-2 511 3/13/2019
3.0.0-beta-1 1,425 12/9/2018
2.2.0 6,611 2/21/2019
2.1.0 15,259 11/13/2018
2.0.0 6,717 10/1/2018
2.0.0-beta-4 1,202 8/5/2018
2.0.0-beta-2 875 3/5/2018
2.0.0-beta-1 870 2/1/2018
1.0.3 16,634 3/28/2018
1.0.2 1,300 3/20/2018
1.0.1 3,696 1/23/2018
1.0.1-beta-1 758 11/30/2017
1.0.0 6,168 10/11/2017
1.0.0-beta-1 798 9/8/2017
0.9.0 5,020 6/20/2017
0.9.0-beta-004 1,559 5/14/2017

Breaking: Use Fable.ReactDom.Types dependency (#71), thanks Alfonso Garcia-Caro!